umbrello: ObjectsModel Class Reference

umbrello 25.04.1 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Public Member Functions | Protected Attributes | List of all members
ObjectsModel Class Reference

`#include <objectsmodel.h>`

Inheritance diagram for ObjectsModel:

## Public Member Functions
| ObjectsModel ()
bool | add (UMLObject *o)
bool | remove (UMLObject *o)
int | rowCount (const QModelIndex &parent) const
int | columnCount (const QModelIndex &parent) const
QVariant | headerData (int section, Qt::Orientation orientation, int role=Qt::DisplayRole) const
QVariant | data (const QModelIndex &index, int role=Qt::DisplayRole) const
void | emitDataChanged (const QModelIndex &index)
void | emitDataChanged (int index)
void | emitDataChanged (UMLObject *o)

## Protected Attributes
QList< QPointer< UMLObject > > | m_allObjects

## Constructor & Destructor Documentation

## ◆ ObjectsModel()

ObjectsModel::ObjectsModel | ( |  | ) |
| explicit

## Member Function Documentation

## ◆ add()

bool ObjectsModel::add | ( | UMLObject * | o | ) |

## ◆ columnCount()

int ObjectsModel::columnCount | ( | const QModelIndex & | parent | ) | const

## ◆ data()

QVariant ObjectsModel::data | ( | const QModelIndex & | index,
|  | int | role = Qt::DisplayRole ) const

## ◆ emitDataChanged() [1/3]

void ObjectsModel::emitDataChanged | ( | const QModelIndex & | index | ) |

## ◆ emitDataChanged() [2/3]

void ObjectsModel::emitDataChanged | ( | int | index | ) |

## ◆ emitDataChanged() [3/3]

void ObjectsModel::emitDataChanged | ( | UMLObject * | o | ) |

## ◆ headerData()

QVariant ObjectsModel::headerData | ( | int | section,
|  | Qt::Orientation | orientation,
|  | int | role = Qt::DisplayRole ) const

## ◆ remove()

bool ObjectsModel::remove | ( | UMLObject * | o | ) |

## ◆ rowCount()

int ObjectsModel::rowCount | ( | const QModelIndex & | parent | ) | const

## Member Data Documentation

## ◆ m_allObjects

QList<QPointer<UMLObject> > ObjectsModel::m_allObjects
| protected

The documentation for this class was generated from the following files:

- umbrello/models/objectsmodel.h
- umbrello/models/objectsmodel.cpp